Subject: Re: [PATCH v5 5/6] last-modified: support --extended format

From: Toon Claes <[email-masked]>
Date: Tue, 22 Jul 2025 18:06:29 +0200

Junio C Hamano <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Hmph.  This hardcoding of everything does not look easy to maintain.
>>
>> Besides, the test will fail rather miserably when run with SHA-256
>> hash (e.g., post Git 3.0 where the "git init" command by default
>> will give you a repository with new hash).
>>
>> It looks somewhat inconsistent that tree is shown with its object
>> name, but commit is not.
>
>
> I do not address neither the first point or the last point above,
> but at least something like the attached patch needs to be squashed
> into this step to make the SHA-256 tests pass.

Thank you for the suggestion. But I think we can expect this commit to
be excluded whenever I reroll this series. But I appreciate the effort.
I should have taken SHA256 into account in the first place.

-- 
Cheers,
Toon